package com.bonus.canteen.core.report.statistics.order.analysis.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;

@TableName("report_analysis_dishes_sale")
@ApiModel("菜品销售排行")
public class ReportAnalysisDishesSale {
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("统计日期")
   private LocalDate statisticDate;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("档口名称")
   private String stallName;
   @ApiModelProperty("组织id")
   private Long orgId;
   @ApiModelProperty("菜品/商品id")
   private Long goodsDishesId;
   @ApiModelProperty("菜品/商品名称")
   private String goodsDishesName;
   @ApiModelProperty("菜品/商品编号")
   private String goodsDishesNum;
   @ApiModelProperty("类别:1 菜品 2 套餐 3 商品 4 按键 5 补扣 6 报餐")
   private Integer detailType;
   @ApiModelProperty("菜品类型ID")
   private Long typeId;
   @ApiModelProperty("数量/重量")
   private Integer quantity;
   @ApiModelProperty("销售方式 1 按份 2 称重")
   private Integer salesMode;
   @ApiModelProperty("实际付款金额 分")
   private Integer realAmount;
   @ApiModelProperty("适用年龄段，参照枚举CustAgeEnum")
   private Integer ageType;
   @ApiModelProperty("餐次")
   private Integer mealtimeType;
   @ApiModelProperty("消费人数")
   private Integer custNum;

   public Long getId() {
      return this.id;
   }

   public LocalDate getStatisticDate() {
      return this.statisticDate;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getStallName() {
      return this.stallName;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public Long getGoodsDishesId() {
      return this.goodsDishesId;
   }

   public String getGoodsDishesName() {
      return this.goodsDishesName;
   }

   public String getGoodsDishesNum() {
      return this.goodsDishesNum;
   }

   public Integer getDetailType() {
      return this.detailType;
   }

   public Long getTypeId() {
      return this.typeId;
   }

   public Integer getQuantity() {
      return this.quantity;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public Integer getRealAmount() {
      return this.realAmount;
   }

   public Integer getAgeType() {
      return this.ageType;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public Integer getCustNum() {
      return this.custNum;
   }

   public ReportAnalysisDishesSale setId(final Long id) {
      this.id = id;
      return this;
   }

   public ReportAnalysisDishesSale setStatisticDate(final LocalDate statisticDate) {
      this.statisticDate = statisticDate;
      return this;
   }

   public ReportAnalysisDishesSale setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
      return this;
   }

   public ReportAnalysisDishesSale setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
      return this;
   }

   public ReportAnalysisDishesSale setStallId(final Long stallId) {
      this.stallId = stallId;
      return this;
   }

   public ReportAnalysisDishesSale setStallName(final String stallName) {
      this.stallName = stallName;
      return this;
   }

   public ReportAnalysisDishesSale setOrgId(final Long orgId) {
      this.orgId = orgId;
      return this;
   }

   public ReportAnalysisDishesSale setGoodsDishesId(final Long goodsDishesId) {
      this.goodsDishesId = goodsDishesId;
      return this;
   }

   public ReportAnalysisDishesSale setGoodsDishesName(final String goodsDishesName) {
      this.goodsDishesName = goodsDishesName;
      return this;
   }

   public ReportAnalysisDishesSale setGoodsDishesNum(final String goodsDishesNum) {
      this.goodsDishesNum = goodsDishesNum;
      return this;
   }

   public ReportAnalysisDishesSale setDetailType(final Integer detailType) {
      this.detailType = detailType;
      return this;
   }

   public ReportAnalysisDishesSale setTypeId(final Long typeId) {
      this.typeId = typeId;
      return this;
   }

   public ReportAnalysisDishesSale setQuantity(final Integer quantity) {
      this.quantity = quantity;
      return this;
   }

   public ReportAnalysisDishesSale setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
      return this;
   }

   public ReportAnalysisDishesSale setRealAmount(final Integer realAmount) {
      this.realAmount = realAmount;
      return this;
   }

   public ReportAnalysisDishesSale setAgeType(final Integer ageType) {
      this.ageType = ageType;
      return this;
   }

   public ReportAnalysisDishesSale setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
      return this;
   }

   public ReportAnalysisDishesSale setCustNum(final Integer custNum) {
      this.custNum = custNum;
      return this;
   }

}
